Summary: Jack and ALSA Convolution Engine
Name: jace
Version: 0.2.0
Release: 1%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.kokkinizita.net/linuxaudio/
Source0: http://www.kokkinizita.net/linuxaudio/downloads/jace-%{version}.tar.bz2
Source1: http://www.kokkinizita.net/linuxaudio/downloads/lucia.wav
Source2: http://www.kokkinizita.net/linuxaudio/downloads/springreverb.wav
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Packager: Fernando Lopez-Lezcano
Vendor: Planet CCRMA
Distribution: Planet CCRMA

BuildRequires: fftw-devel libsndfile-devel 
BuildRequires: clalsadrv-devel clthreads-devel
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel

%description
JACE is a Convolution Engine for JACK and ALSA, using FFT-based
partitioned convolution with uniform partition sizes.

%prep
%setup -q -n jace

%build
%{__make} %{?_smp_mflags}
# point configuration files to the proper directory
find . -name \*.conf \
  -exec %{__perl} -p -i -e "s|/home/fons/acoustics/impresp/xtc|%{_datadir}/doc/jace-%{version}/demo_config|g" {} \; \
  -exec %{__perl} -p -i -e "s|/home/fons/acoustics/impresp/lucia|%{_datadir}/doc/jace-%{version}/demo_config|g" {} \; \
  -exec %{__perl} -p -i -e "s|/home/fons/acoustics/impresp/street|%{_datadir}/doc/jace-%{version}/demo_config|g" {} \; \
  -exec %{__perl} -p -i -e "s|/home/fons/acoustics/impresp|%{_datadir}/doc/jace-%{version}/demo_config|g" {} \; 
%{__perl} -p -i -e "s|#/cd|/cd|g" demo_config/street.conf

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}%{_bindir}
%{__install} -m 0755 jace %{buildroot}%{_bindir}/

%{__cp} %{SOURCE1} demo_config/
%{__cp} %{SOURCE2} demo_config/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README* LICENCE INSTALL demo_config
%{_bindir}/*

%changelog
* Wed Sep  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- update to 0.2.0
- add springreverb.wav

* Thu Apr 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- update to 0.1.0

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-2
- update to 0.0.4
- include lucia.wav example impulse response
- tweak demo configuration files to point to the doc directory

* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- build on fc6

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-1
- initial build
